## xtel 3.3.0

=== debian/changelog ===
xtel (3.3.0-32) unstable; urgency=medium

  * patches/termios: Fix build without termio (Closes: Bug#1115215)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 14 Sep 2025 23:07:26 +0200

xtel (3.3.0-31) unstable; urgency=medium

  * debian/rules: Restrict C standard to C11. (Closes: Bug#1098173)
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Sep 2025 07:32:45 +0200

xtel (3.3.0-30) unstable; urgency=medium

  * patches/time64: Fix build against time64 change (Closes: Bug#1091234)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Dec 2024 16:03:35 +0100

xtel (3.3.0-29) unstable; urgency=medium

  * patches/teleinfo: Fix snprintf call.
  * patches/gcc-14: Fix build with gcc 14 (Closes: Bug#1075687)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jul 2024 20:39:06 +0200

xtel (3.3.0-28) unstable; urgency=medium

  * Switch to 3.0 quilt format (Closes: Bug#1073163)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Jun 2024 18:52:38 +0200

xtel (3.3.0-27) unstable; urgency=medium

  * Fix build with qa=+bug-implicit-func.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Mar 2024 19:48:29 +0100

xtel (3.3.0-26) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + xtel: Drop versioned constraint on x11-common in Pre-Depends.
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Fix day-of-week for changelog entry 3.2.1-6.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 23:14:10 +0100

xtel (3.3.0-25) unstable; urgency=medium

  * Imakefile: Fix calling ar.
  * control: Set Rules-Requires-Root to no.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 13 Sep 2021 08:37:46 +0200

xtel (3.3.0-24) unstable; urgency=medium

  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Nov 2020 02:34:45 +0100

xtel (3.3.0-23) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.
  * source/format: Set 1.0 format.
  * xm.c: Fix build with -fno-common, which will be the default with gcc-10
    (Closes: Bug#958003).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 20 May 2020 10:45:21 +0200

xtel (3.3.0-22) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.2.0 (no changes).
  * watch: Fix.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 18:07:00 +0100

xtel (3.3.0-21) unstable; urgency=medium

  * Use canonical anonscm vcs URL.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.4.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Apr 2018 12:36:23 +0200

xtel (3.3.0-20) unstable; urgency=medium

  * menu: Convert to xtel.desktop.
  * control: Bump Standards-Version to 3.9.8.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 19:36:24 +0200

xtel (3.3.0-19) unstable; urgency=medium

  * compat: Bump to 9.
  * Drop commented dh_ calls.
  * rules: Clear.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 21:35:56 +0100

xtel (3.3.0-18) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes).

  [ Dhole ]
  * Don't store timestamps when calling gzip and remove timestamps from png
    to make package build reproducibly (Closes: #789965).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Jul 2015 23:59:08 +0200

xtel (3.3.0-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Eliminate libxp-dev build dependency (Closes: #733290).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 19 Sep 2014 04:20:50 +0000

xtel (3.3.0-17) unstable; urgency=low

  * Build-depend on libmotif-dev instead of lesstif2-dev (Closes: #714677).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Jul 2013 23:29:56 +0200

xtel (3.3.0-16) unstable; urgency=low

  * Fix mdmdetect crash due to incorrect argument parsing.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jun 2013 21:48:25 +0200

xtel (3.3.0-15) unstable; urgency=low

  * Explicictly build-depend on libxp-dev, pulled through XmClientLibs from
    xutils-dev (Closes: #707623).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 14 May 2013 01:35:51 +0200

xtel (3.3.0-14) unstable; urgency=low

  * control,rules: Use imagemagick instead of gif2png.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Jun 2012 21:27:43 +0200

xtel (3.3.0-13) unstable; urgency=low

  * debian/rules: Add build-{arch,indep} rules.
  * control: Bump Standards-Version to 3.9.3 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Jun 2012 23:29:28 +0200

xtel (3.3.0-12) unstable; urgency=low

  * protocoles.c: Fix crash on bogus fclose().
  * modem.c: Fix format security issue.
  * Imakefile: Set debugging flags to -g -O2.
  * debian/control: Depend on hardening-check.
  * debian/rules: Set DEB_BUILD_HARDENING=1 to enable hardening.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Nov 2011 00:40:40 +0100

xtel (3.3.0-11) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no change needed)
  * Remove spurious fonts installation in non-standard place.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Apr 2011 21:10:19 +0200

xtel (3.3.0-10) unstable; urgency=low

  * debian/control: Add netpbm to Depends: to fix print.
  * Videotex/Videotex.c: Add arrow keys binding.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 17 Oct 2010 01:05:08 +0200

xtel (3.3.0-9) unstable; urgency=low

  * debian/postinst: Drop loading debconf/confmodule, as it makes

