=== debian/control ===
Source: xtel
Section: comm
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Standards-Version: 4.6.2
Build-Depends: libmotif-dev,libx11-dev,libxmu-dev,libxpm-dev,libxt-dev,x11proto-core-dev,xbitmaps,libxaw7-dev,debhelper-compat (= 13),imagemagick,xfonts-utils,xutils-dev,libjpeg-dev, doc-base, xfonts-utils
Rules-Requires-Root: no
Homepage: http://pficheux.free.fr/xtel/
Vcs-Git: https://salsa.debian.org/debian/xtel.git
Vcs-Browser: https://salsa.debian.org/debian/xtel

Package: xtel
Architecture: any
Multi-Arch: foreign
Pre-Depends: x11-common
Depends: openbsd-inetd | inet-superserver, ${shlibs:Depends}, ${misc:Depends}, netpbm
Recommends: logrotate, ppp, xterm
Description: X emulator of the French Minitel
 This is a lesstif Minitel client that runs on color/black and white
 X Display and a xteld daemon that can make Minitel connection with
 one or more modems.
 .
 The Minitel is a dedicated terminal for accessing the Teletel,
 the French videotex network.
 Thus, this package is almost only for French users.
 This package now supports the 3622 I-Minitel protocol
 (more information on http://www.i-minitel.com).
