=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Imake commands
	xmkmf
	make CCOPTIONS=-std=c11 Xtel
	# convert the mean gif file into a png file
	convert xtel.gif +set date:create +set date:modify -define png:exclude-chunk=time xtel.png

override_dh_auto_clean:
	dh_auto_clean
	rm -f xtel.png
	find . -name Makefile -print | xargs rm -f

override_dh_auto_install:
	$(MAKE) install DESTDIR=`pwd`/debian/xtel
	# Install font support and fonts
	install -m 644 fonts/fonts.alias debian/xtel/etc/X11/fonts/misc/xtel.alias
	install -m 644 fonts/*.pcf.gz debian/xtel/usr/share/fonts/X11/misc/
	# Install app-default for xtel
	install -m 644 XTel-color debian/xtel/etc/X11/app-defaults/
	# Install logrotate conf file
	install -m 644 debian/logrotate.conf debian/xtel/etc/logrotate.d/xtel
	# Install menu
	install -d debian/xtel/usr/share/applications
	install -m 644 debian/xtel.desktop debian/xtel/usr/share/applications
	# Remove non-standard font directory
	rm -rf debian/xtel/usr/share/fonts/X11/xtel
	rm -rf debian/xtel/fonts
	# Install french documentation in the french docs directory
	install -m 644 debian/index-fr.html debian/xtel/usr/share/doc/LANG/fr/xtel/index.html
	perl -MMIME::Base64  -ne 'print decode_base64($$_)' < debian/bullet.gif.base64 > debian/xtel/usr/share/doc/LANG/fr/xtel/bullet.gif
	install -m 644 HISTOIRE.txt debian/xtel/usr/share/doc/LANG/fr/xtel/
	install -m 644 LISEZMOI.txt debian/xtel/usr/share/doc/LANG/fr/xtel/
	install -m 644 FAQ.txt debian/xtel/usr/share/doc/LANG/fr/xtel/
	install -m 644 README_IMINITEL.txt debian/xtel/usr/share/doc/LANG/fr/xtel/
	gzip -9vn debian/xtel/usr/share/doc/LANG/fr/xtel/*.txt
	# Install png image example
	install -m 644 xtel.png debian/xtel/usr/share/doc/xtel/
	# Create a symlink in /usr/share/doc/xtel to the french doc directory
	ln -s ../LANG/fr/xtel debian/xtel/usr/share/doc/xtel/fr
	#rm -f debian/xtel/usr/X11R6/lib/X11/app-defaults
