=== debian/watch ===
version=4
http://pficheux.free.fr/xtel/tele.html http://pficheux.free.fr/xtel/download/xtel-@ANY_VERSION@@ARCHIVE_EXT@
